Bug 211999 - dns/unbound: MUNIN_PLUGIN should not be enabled unconditionally
Summary: dns/unbound: MUNIN_PLUGIN should not be enabled unconditionally
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-ports-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-19 14:56 UTC by Garrett Wollman
Modified: 2016-08-24 15:39 UTC (History)
1 user (show)

See Also:
jaap: maintainer-feedback+


Attachments
patch to new revision (2.07 KB, patch)
2016-08-24 13:30 UTC, Jaap Akkerhuis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Garrett Wollman freebsd_committer 2016-08-19 14:56:47 UTC
Just because a user enables MUNIN_PLUGIN during package build does not imply that the user wants the munin plugin unconditionally enabled wherever and whenever the package is installed.  None of the default plugins that ship with munin-node do so (you have to run "munin-node-configure --suggest --shell | sh" for that).

The workaround is to manually delete the symlinks after the fact (we do this in puppet) but this causes "pkg check" to complain.

If it really is thought to be desirable to automatically enable this plugin, the right way to do it would be in a post-install action so that the symlinks are not included in the package.
Comment 1 Mathieu Arnold freebsd_committer 2016-08-19 15:04:24 UTC
Ah, yes, that:

        @for i in ${MUNIN_PLUGIN_ALL}; do \
                ${LN} -fs ${PREFIX}/share/munin/plugins/unbound_munin_ \
                        ${STAGEDIR}${PREFIX}/etc/munin/plugins/unbound_munin_$$i; \
        done

should be removed from the unbound port.

The plugin is has the autoconf and suggest capabilities and these are enough for munin-node-configure --suggest to work.
Comment 2 Jaap Akkerhuis 2016-08-23 11:11:22 UTC
(In reply to Mathieu Arnold from comment #1)
Ah yes this is likely a left over from an old version. These line can go.

Do you want me to issue a full patch which revisions bump, shall we wait for the next release of unbound or do you make the change. Please advice.

         jaap
Comment 3 Garrett Wollman freebsd_committer 2016-08-24 01:22:33 UTC
(In reply to jaap from comment #2)
I'd appreciate an update with PORTREVISION bump, unless a new release is coming out imminently.  Otherwise I'll have to do it myself and then risk a collision if some other fix gets applied before the next release.
Comment 4 Jaap Akkerhuis 2016-08-24 13:30:54 UTC
Created attachment 174014 [details]
patch to new revision
Comment 5 Jaap Akkerhuis 2016-08-24 13:33:05 UTC
There was no new release is coming out imminently. The patch also replaces USE_OPENSSL with USES=ssl
Comment 6 commit-hook freebsd_committer 2016-08-24 15:11:41 UTC
A commit references this bug:

Author: mat
Date: Wed Aug 24 15:11:36 UTC 2016
New revision: 420799
URL: https://svnweb.freebsd.org/changeset/ports/420799

Log:
  Do not auto-enable unbound munin plugins when installing unbound.

  PR:		211999
  Submitted by:	maintainer
  Reported by:	wollman
  Sponsored by:	Absolight

Changes:
  head/dns/unbound/Makefile
  head/dns/unbound/pkg-plist